Skip to main content
PUT
/
tracks
/
{trackId}
Update a track
curl --request PUT \
  --url https://backstage.example.com/api/soundcheck/tracks/{trackId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "levels": [
    {
      "ordinal": 123,
      "checks": [
        {
          "id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "filter": {},
          "exclude": {}
        }
      ],
      "name": "<string>",
      "description": "<string>",
      "badge": {
        "color": "<string>",
        "type": "medal",
        "svg": "<string>"
      }
    }
  ],
  "name": "<string>",
  "description": "<string>",
  "ownerEntityRef": "<string>",
  "group": "<string>",
  "type": "standard",
  "badge": {
    "color": "<string>",
    "type": "medal",
    "svg": "<string>"
  },
  "filter": {},
  "exclude": {},
  "documentationURL": "<string>",
  "badgeType": "medal",
  "draft": true,
  "isEditable": true,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "archived": true,
  "supportChannel": "<string>",
  "startDate": "<string>",
  "targetCompletionDate": "<string>",
  "milestones": [
    {}
  ]
}
'
{
  "track": {
    "id": "<string>",
    "levels": [
      {
        "ordinal": 123,
        "checks": [
          {
            "id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "filter": {},
            "exclude": {}
          }
        ],
        "name": "<string>",
        "description": "<string>",
        "badge": {
          "color": "<string>",
          "type": "medal",
          "svg": "<string>"
        }
      }
    ],
    "name": "<string>",
    "description": "<string>",
    "ownerEntityRef": "<string>",
    "group": "<string>",
    "type": "standard",
    "badge": {
      "color": "<string>",
      "type": "medal",
      "svg": "<string>"
    },
    "filter": {},
    "exclude": {},
    "documentationURL": "<string>",
    "badgeType": "medal",
    "draft": true,
    "isEditable": true,
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "archived": true,
    "supportChannel": "<string>",
    "startDate": "<string>",
    "targetCompletionDate": "<string>",
    "milestones": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

trackId
string
required

The ID of the track

Body

application/json

Note: Additional validation rules are enforced at runtime via Zod and are not fully represented in this OpenAPI schema.

id
string
required
levels
object[]
required
Minimum array length: 1
name
string
required
Required string length: 1 - 100
description
string
required
Minimum string length: 1
ownerEntityRef
string
required
group
string
type
enum<string>
default:standard
Available options:
standard,
campaign,
playlist
badge
object
filter
object

Generator-friendly approximation of the runtime EntityFilter type. Runtime validation accepts a record of string or string[] values.

exclude
object

Generator-friendly approximation of the runtime EntityFilter type. Runtime validation accepts a record of string or string[] values.

documentationURL
string
badgeType
enum<string>
Available options:
medal,
status
draft
boolean
isEditable
boolean
createdAt
string
updatedAt
string
archived
boolean
supportChannel
string
startDate
string
targetCompletionDate
string
milestones
object[]

Response

OK

track
object

Note: Additional validation rules are enforced at runtime via Zod and are not fully represented in this OpenAPI schema.